diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/notify_footer ./hobbitd/webfiles/notify_footer
--- /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/notify_footer	1970-01-01 01:00:00.000000000 +0100
+++ ./hobbitd/webfiles/notify_footer	2006-08-09 22:10:10.000000000 +0200
@@ -0,0 +1,24 @@
+<BR><BR>
+
+<TABLE SUMMARY="Bottomline" WIDTH="100%">
+<TR>
+  <TD> <HR WIDTH="100%"> </TD>
+</TR>
+<TR>
+  <TD ALIGN=RIGHT><FONT FACE="Arial, Helvetica" SIZE="-2" COLOR="silver"><B><A HREF="http://hobbitmon.sourceforge.net/" style="text-decoration: none">Hobbit Monitor &HOBBITDREL</A></B></FONT></TD>
+</TR>
+</TABLE>
+
+
+<!-- menu script itself. you should not modify this file -->
+<script type="text/javascript" language="JavaScript" src="&BBMENUSKIN/menu.js"></script>
+<!-- items structure. menu hierarchy and links are stored there -->
+<script type="text/javascript" language="JavaScript" src="&BBMENUSKIN/menu_items.js"></script>
+<!-- files with geometry and styles structures -->
+<script type="text/javascript" language="JavaScript" src="&BBMENUSKIN/menu_tpl.js"></script>
+<script type="text/javascript" language="JavaScript">
+        new menu (MENU_ITEMS, MENU_POS);
+</script>
+
+</BODY>
+</HTML>
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/notify_form ./hobbitd/webfiles/notify_form
--- /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/notify_form	1970-01-01 01:00:00.000000000 +0100
+++ ./hobbitd/webfiles/notify_form	2007-02-09 11:06:47.325879886 +0100
@@ -0,0 +1,102 @@
+<CENTER>
+<FORM METHOD="GET" ACTION="&SCRIPT_NAME">
+   <TABLE BORDER=0 SUMMARY="Notification time period">
+     <TR>
+       <TD><TABLE BORDER=0>
+         <TR>
+           <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Starting </B></FONT></TD>
+           <TD><INPUT TYPE=TEXT NAME="MAXTIME" SIZE=40></TD>
+           <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B> minutes ago </B>( Default 1440 )</FONT></TD> 
+         </TR>
+         <TR>
+           <TD COLSPAN=3 ALIGN=CENTER><FONT FACE="Arial, Helvetica" COLOR="silver"><B>&nbsp;- OR -&nbsp;</B></FONT></TD>
+         </TR>
+         <TR>
+           <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>From: </B></FONT></TD> 
+           <TD><INPUT TYPE=TEXT NAME="FROMTIME" SIZE=40></TD>
+           <TD><FONT FACE="Arial, Helvetica" COLOR="silver">(ccyy/mm/dd@hh:mm:ss)</FONT></TD>
+         </TR>
+         <TR>
+           <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>To: </B></FONT></TD> 
+           <TD><INPUT TYPE=TEXT NAME="TOTIME" SIZE=40></TD>
+           <TD><FONT FACE="Arial, Helvetica" COLOR="silver">(ccyy/mm/dd@hh:mm:ss)</FONT></TD>
+         </TR>
+       </TABLE></TD>
+     </TR>
+   </TABLE>
+
+   <BR><BR>
+
+   <TABLE BORDER=0 SUMMARY="Notification criteria">
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Max # of notifications</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="MAXCOUNT" SIZE=40 VALUE=100></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( Default 100 )</FONT></TD>
+     </TR>
+
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Hosts to match</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="HOSTMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: ^host.*$ )</FONT></TD>
+     </TR>
+
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Hosts to skip</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="EXHOSTMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: ^host.*$ )</FONT></TD>
+     </TR>
+
+      <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Pages to match</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="PAGEMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: ^webservers/.*$ )</FONT></TD>
+     </TR>
+
+      <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Pages to skip</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="EXPAGEMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: ^webservers/.*$ )</FONT></TD>
+     </TR>
+
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Tests to match</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="TESTMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: cpu|vmstat )</FONT></TD>
+     </TR>
+
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Tests to skip</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="EXTESTMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: cpu|vmstat )</FONT></TD>
+     </TR>
+
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Recipients to match</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="RCPTMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: admin@test.com )</FONT></TD>
+     </TR>
+
+     <TR>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"><B>Recipients to skip</B></FONT></TD>
+       <TD WIDTH=10>&nbsp;</TD>
+       <TD><INPUT TYPE=TEXT NAME="EXRCPTMATCH" SIZE=40></TD>
+       <TD><FONT FACE="Arial, Helvetica" COLOR="silver"> ( ex: admin@test.com )</FONT></TD>
+     </TR>
+
+     <TR>
+        <TD COLSPAN=3 ALIGN=CENTER>
+          <BR><BR>
+          <INPUT TYPE="SUBMIT" NAME="Send" VALUE="View log" ALT="View log">
+        </TD>
+     </TR>
+   </TABLE>
+</FORM>
+</CENTER>
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/notify_header ./hobbitd/webfiles/notify_header
--- /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/notify_header	1970-01-01 01:00:00.000000000 +0100
+++ ./hobbitd/webfiles/notify_header	2007-02-09 11:06:51.215173324 +0100
@@ -0,0 +1,35 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
+<HTML>
+<HEAD>
+<META HTTP-EQUIV="EXPIRES" CONTENT="Sat, 01 Jan 2001 00:00:00 GMT">
+<TITLE>&BBBACKGROUND : Hobbit - Notification Log @ &BBDATE</TITLE>
+
+<!-- Styles for the menu bar -->
+<link rel="stylesheet" type="text/css" href="&BBMENUSKIN/menu.css">
+
+<!-- The favicon image -->
+<link rel="shortcut icon" href="&BBSKIN/favicon-&BBBACKGROUND.ico">
+
+</HEAD>
+
+<BODY BGCOLOR="&BBBACKGROUND" BACKGROUND="&BBSKIN/bkg-&BBBACKGROUND.gif" TEXT="#D8D8BF" LINK="#00FFAA" VLINK="#FFFF44">
+
+<TABLE SUMMARY="Topline" WIDTH="100%">
+<TR><TD HEIGHT=16>&nbsp;</TD></TR>  <!-- For the menu bar -->
+<TR>
+  <TD VALIGN=MIDDLE ALIGN=LEFT WIDTH="30%">
+    <FONT FACE="Arial, Helvetica" SIZE="+1" COLOR="silver"><B>&HOBBITLOGO</B></FONT>
+  </TD>
+  <TD VALIGN=MIDDLE ALIGN=CENTER WIDTH="40%">
+    <CENTER><FONT FACE="Arial, Helvetica" SIZE="+1" COLOR="silver"><B>Notification Log</B></FONT></CENTER>
+  </TD>
+  <TD VALIGN=MIDDLE ALIGN=RIGHT WIDTH="30%">
+   <FONT FACE="Arial, Helvetica" SIZE="+1" COLOR="silver"><B>&BBDATE</B></FONT>
+  </TD>
+</TR>
+<TR>
+  <TD COLSPAN=3> <HR WIDTH="100%"> </TD>
+</TR>
+</TABLE>
+<BR>
+
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/zoom.js ./hobbitd/webfiles/zoom.js
--- /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/webfiles/zoom.js	2006-08-09 22:10:10.000000000 +0200
+++ ./hobbitd/webfiles/zoom.js	2006-10-03 12:55:27.000000000 +0200
@@ -601,6 +601,7 @@
   var idxCount =  gUrlObj.getUrlParameterValue("count");
   var graphWidth = gUrlObj.getUrlParameterValue("graph_width");
   var graphHeight = gUrlObj.getUrlParameterValue("graph_height");
+  var bgColor = gUrlObj.getUrlParameterValue("color");
 
   if (firstIdx != "") {
      idxStr = "&first=" + firstIdx;
@@ -609,7 +610,7 @@
      countStr = "&count=" + idxCount; 
   }
 
-  open(urlBase + "&host=" + host + "&service=" + service + "&disp=" + dispName + idxStr + countStr + "&graph_start=" + newGraphStart + "&graph_end=" + newGraphEnd + "&graph_height=" + graphHeight + "&graph_width=" + graphWidth, "_self");
+  open(urlBase + "&host=" + host + "&service=" + service + "&disp=" + dispName + idxStr + countStr + "&graph_start=" + newGraphStart + "&graph_end=" + newGraphEnd + "&graph_height=" + graphHeight + "&graph_width=" + graphWidth + "&color=" + bgColor, "_self");
  }
 
  if ((gMouseObj.leftButtonPressed()) && (gMouseObj.dragging)) {
@@ -655,6 +656,7 @@
    var idxCount =  gUrlObj.getUrlParameterValue("count");
    var graphWidth = gUrlObj.getUrlParameterValue("graph_width");
    var graphHeight = gUrlObj.getUrlParameterValue("graph_height");
+   var bgColor = gUrlObj.getUrlParameterValue("color");
 
    if (firstIdx != "") {
       idxStr = "&first=" + firstIdx;
@@ -663,7 +665,7 @@
       countStr = "&count=" + idxCount; 
    }
 
-   open(urlBase + "&host=" + host + "&service=" + service + "&disp=" + dispName + idxStr + countStr + "&graph_start=" + newGraphStart + "&graph_end=" + newGraphEnd + "&graph_height=" + graphHeight + "&graph_width=" + graphWidth, "_self");
+   open(urlBase + "&host=" + host + "&service=" + service + "&disp=" + dispName + idxStr + countStr + "&graph_start=" + newGraphStart + "&graph_end=" + newGraphEnd + "&graph_height=" + graphHeight + "&graph_width=" + graphWidth + "&color=" + bgColor, "_self");
   }
  }
 }
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/wwwfiles/menu/menu_items.js.DIST ./hobbitd/wwwfiles/menu/menu_items.js.DIST
--- /home/henrik/hobbit/release/hobbit-4.2.0/hobbitd/wwwfiles/menu/menu_items.js.DIST	2006-08-09 22:10:08.000000000 +0200
+++ ./hobbitd/wwwfiles/menu/menu_items.js.DIST	2007-02-09 11:06:18.670085600 +0100
@@ -9,8 +9,10 @@
 		['Availability Report', '@BBCGIURL@/bb-rep.sh'],
 		['Snapshot Report', '@BBCGIURL@/bb-snapshot.sh'],
 		['Config Report', '@BBCGIURL@/hobbit-confreport.sh'],
+		['Config Report (Critical)', '@BBCGIURL@/hobbit-confreport-critical.sh'],
 		['Metrics Report', '@BBCGIURL@/hobbit-hostgraphs.sh'],
 		['Ghost Clients', '@BBCGIURL@/hobbit-ghosts.sh'],
+		['Notification Report', '@BBCGIURL@/hobbit-notifylog.sh'],
 	],
 	['Administration', null, null,
 		['Find host', '@BBCGIURL@/bb-findhost.sh'],
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/include/libbbgen.h ./include/libbbgen.h
--- /home/henrik/hobbit/release/hobbit-4.2.0/include/libbbgen.h	2006-08-09 22:10:13.000000000 +0200
+++ ./include/libbbgen.h	2007-02-09 11:06:18.657087961 +0100
@@ -42,6 +42,7 @@
 #include "../lib/eventlog.h"
 #include "../lib/headfoot.h"
 #include "../lib/htmllog.h"
+#include "../lib/notifylog.h"
 #include "../lib/reportlog.h"
 
 #include "../lib/availability.h"
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/Makefile ./lib/Makefile
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/Makefile	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/Makefile	2007-02-09 11:07:56.711274061 +0100
@@ -1,9 +1,9 @@
 # bbgen library Makefile
 #
 
-BBGENLIBOBJS = osdefs.o acklog.o availability.o calc.o cgi.o cgiurls.o clientlocal.o color.o digest.o encoding.o environ.o errormsg.o eventlog.o files.o headfoot.o hobbitrrd.o htmllog.o ipaccess.o loadalerts.o loadhosts.o loadnkconf.o links.o matching.o md5.o memory.o misc.o netservices.o rbtr.o reportlog.o rmd160c.o sendmsg.o sha1.o sig.o stackio.o strfunc.o suid.o timefunc.o timing.o url.o
+BBGENLIBOBJS = osdefs.o acklog.o availability.o calc.o cgi.o cgiurls.o clientlocal.o color.o digest.o encoding.o environ.o errormsg.o eventlog.o files.o headfoot.o hobbitrrd.o htmllog.o ipaccess.o loadalerts.o loadhosts.o loadnkconf.o links.o matching.o md5.o memory.o misc.o netservices.o notifylog.o rbtr.o reportlog.o rmd160c.o sendmsg.o sha1.o sig.o stackio.o strfunc.o suid.o timefunc.o timing.o url.o
 
-CLIENTLIBOBJS = osdefs.o cgiurls.o color.o digest.o encoding.o environ-client.o errormsg.o ipaccess.o loadhosts.o md5.o memory.o misc.o rbtr.o rmd160c.o sendmsg.o sha1.o sig.o stackio.o strfunc.o suid.o timefunc.o
+CLIENTLIBOBJS = osdefs.o cgiurls.o color-client.o digest.o encoding.o environ-client.o errormsg.o ipaccess.o loadhosts.o md5.o memory.o misc.o rbtr.o rmd160c.o sendmsg.o sha1.o sig.o stackio.o strfunc.o suid.o timefunc-client.o
 ifeq ($(LOCALCLIENT),yes)
 	CLIENTLIBOBJS += matching.o
 endif
@@ -32,6 +32,9 @@
 eventlog.o: eventlog.c
 	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<
 
+notifylog.o: notifylog.c
+	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<
+
 headfoot.o: headfoot.c
 	$(CC) $(CFLAGS) $(PCREINCDIR) -c -o $@ $<
 
@@ -53,6 +56,12 @@
 environ-client.o: environ.c
 	$(CC) $(CFLAGS) -DBBTOPDIR=\"$(BBTOPDIR)\" -DBBLOGDIR=\"$(BBLOGDIR)\" -DBBHOSTNAME=\"$(BBHOSTNAME)\" -DBBHOSTIP=\"$(BBHOSTIP)\" -DBBHOSTOS=\"$(BBHOSTOS)\" -DBUILD_HOME=\"$(BBTOPDIR)/client\" -c -o $@ environ.c
 
+color-client.o: color.c
+	$(CC) $(CFLAGS) -DCLIENTONLY -c -o $@ $<
+
+timefunc-client.o: timefunc.c
+	$(CC) $(CFLAGS) -DCLIENTONLY -c -o $@ $<
+
 loadhosts: loadhosts.c libbbgen.a
 	$(CC) $(CFLAGS) -DSTANDALONE -o $@ loadhosts.c ./libbbgen.a
 
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/cgi.c ./lib/cgi.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/cgi.c	2006-08-09 22:10:15.000000000 +0200
+++ ./lib/cgi.c	2006-10-03 12:55:27.000000000 +0200
@@ -139,7 +139,7 @@
 			token = strtok(NULL, "&");
 		}
 	}
-	else if ((cgi_method == CGI_POST) || (conttype && (strcasecmp(conttype, "multipart/form-data") == 0))) {
+	else if ((cgi_method == CGI_POST) && (conttype && (strcasecmp(conttype, "multipart/form-data") == 0))) {
 		char *bol, *eoln, *delim;
 		char eolnchar = '\n';
 		char *currelembegin = NULL, *currelemend = NULL;
@@ -252,3 +252,32 @@
 	return head;
 }
 
+char *get_cookie(char *cookiename)
+{
+	static char *ckdata = NULL;
+	char *tok, *p;
+	int n;
+
+	/* If no cookie, just return NULL */
+	p = getenv("HTTP_COOKIE");
+	if (!p) return NULL;
+
+	if (ckdata) xfree(ckdata);
+	n = strlen(cookiename);
+
+	/* Split the cookie variable into elements, separated by ";" and possible space. */
+	ckdata = strdup(p);
+	tok = strtok(ckdata, "; ");
+	while (tok) {
+		if ((strncmp(cookiename, tok, n) == 0) && (*(tok+n) == '=')) {
+			/* Got it */
+			return (tok+n+1);
+		}
+
+		tok = strtok(NULL, "; ");
+	}
+
+	xfree(ckdata); ckdata = NULL;
+	return NULL;
+}
+
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/cgi.h ./lib/cgi.h
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/cgi.h	2006-08-09 22:10:15.000000000 +0200
+++ ./lib/cgi.h	2006-10-03 12:55:27.000000000 +0200
@@ -23,6 +23,7 @@
 
 extern char *cgi_error(void);
 extern cgidata_t *cgi_request(void);
+extern char *get_cookie(char *cookiename);
 
 #endif
 
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/color.c ./lib/color.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/color.c	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/color.c	2006-10-03 12:55:27.000000000 +0200
@@ -111,6 +111,7 @@
 	return filename;
 }
 
+#ifndef CLIENTONLY
 int colorset(char *colspec, int excludeset)
 {
 	char *cspeccopy = strdup(colspec);
@@ -131,4 +132,5 @@
 	ac = (ac & ~excludeset);
 	return ac;
 }
+#endif
 
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/headfoot.c ./lib/headfoot.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/headfoot.c	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/headfoot.c	2006-10-03 13:52:28.000000000 +0200
@@ -316,7 +316,7 @@
 	walk = statusboard;
 	while (walk) {
 		eoln = strchr(walk, '\n'); if (eoln) *eoln = '\0';
-		if (strlen(walk) && (strncmp(walk, "summary|", 8) != 0) && (strncmp(walk, "dialup|", 7) != 0)) {
+		if (strlen(walk) && (strncmp(walk, "summary|", 8) != 0)) {
 			char *buf, *hname = NULL, *tname = NULL;
 			treerec_t *newrec;
 
@@ -1233,8 +1233,6 @@
 		inbuf[st.st_size] = '\0';
 		close(formfile);
 
-		printf("Content-Type: %s\n\n", xgetenv("HTMLCONTENTTYPE"));
-
 		headfoot(output, headertemplate, "", "header", color);
 		if (pretext) fprintf(output, "%s", pretext);
 		output_parsed(output, inbuf, color, seltime);
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/hobbitrrd.c ./lib/hobbitrrd.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/hobbitrrd.c	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/hobbitrrd.c	2006-10-03 12:55:27.000000000 +0200
@@ -194,7 +194,7 @@
 }
 
 
-static char *hobbit_graph_text(char *hostname, char *dispname, char *service, 
+static char *hobbit_graph_text(char *hostname, char *dispname, char *service, int bgcolor,
 			      hobbitgraph_t *graphdef, int itemcount, hg_stale_rrds_t nostale, const char *fmt)
 {
 	static char *rrdurl = NULL;
@@ -273,6 +273,7 @@
 			strcat(svcurl, urlencode(dispname ? dispname : hostname));
 
 			if (nostale == HG_WITHOUT_STALE_RRDS) strcat(svcurl, "&amp;nostale");
+			if (bgcolor != -1) sprintf(svcurl+strlen(svcurl), "&amp;color=%s", colorname(bgcolor));
 
 			sprintf(rrdparturl, fmt, rrdservicename, svcurl, svcurl, rrdservicename, svcurl, xgetenv("BBSKIN"));
 			if ((strlen(rrdparturl) + strlen(rrdurl) + 1) >= rrdurlsize) {
@@ -294,12 +295,12 @@
 	return rrdurl;
 }
 
-char *hobbit_graph_data(char *hostname, char *dispname, char *service, 
+char *hobbit_graph_data(char *hostname, char *dispname, char *service, int bgcolor,
 			hobbitgraph_t *graphdef, int itemcount,
 			hg_stale_rrds_t nostale, hg_link_t wantmeta)
 {
 	return hobbit_graph_text(hostname, dispname, 
-				 service, graphdef, 
+				 service, bgcolor, graphdef, 
 				 itemcount, nostale,
 				 ((wantmeta == HG_META_LINK) ? metafmt : hobbitlinkfmt));
 }
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/hobbitrrd.h ./lib/hobbitrrd.h
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/hobbitrrd.h	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/hobbitrrd.h	2006-10-03 12:55:27.000000000 +0200
@@ -37,7 +37,8 @@
 
 extern hobbitrrd_t *find_hobbit_rrd(char *service, char *flags);
 extern hobbitgraph_t *find_hobbit_graph(char *rrdname);
-extern char *hobbit_graph_data(char *hostname, char *dispname, char *service, hobbitgraph_t *graphdef, int itemcount, 
+extern char *hobbit_graph_data(char *hostname, char *dispname, char *service, int bgcolor,
+		hobbitgraph_t *graphdef, int itemcount, 
 		hg_stale_rrds_t nostale, hg_link_t wantmeta);
 
 #endif
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/htmllog.c ./lib/htmllog.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/htmllog.c	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/htmllog.c	2006-10-03 12:55:27.000000000 +0200
@@ -358,7 +358,7 @@
 		xfree(multikey);
 
 		fprintf(output, "<!-- linecount=%d -->\n", linecount);
-		fprintf(output, "%s\n", hobbit_graph_data(hostname, displayname, service, graph, linecount, HG_WITHOUT_STALE_RRDS, HG_PLAIN_LINK));
+		fprintf(output, "%s\n", hobbit_graph_data(hostname, displayname, service, color, graph, linecount, HG_WITHOUT_STALE_RRDS, HG_PLAIN_LINK));
 	}
 
 	if (histlocation == HIST_BOTTOM) {
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/loadhosts.c ./lib/loadhosts.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/loadhosts.c	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/loadhosts.c	2006-10-03 13:52:28.000000000 +0200
@@ -134,7 +134,6 @@
 
 	bbh_item_name[BBH_IP]                  = "BBH_IP";
 	bbh_item_name[BBH_CLIENTALIAS]         = "BBH_CLIENTALIAS";
-	bbh_item_name[BBH_BANKSIZE]            = "BBH_BANKSIZE";
 	bbh_item_name[BBH_HOSTNAME]            = "BBH_HOSTNAME";
 	bbh_item_name[BBH_PAGENAME]            = "BBH_PAGENAME";
 	bbh_item_name[BBH_PAGEPATH]            = "BBH_PAGEPATH";
@@ -300,9 +299,8 @@
 	/* If default method, just say yes */
 	if (ghosthandling == 0) return result;
 
-	/* Allow all summaries and modembanks */
+	/* Allow all summaries */
 	if (strcmp(hostname, "summary") == 0) return result;
-	if (strcmp(hostname, "dialup") == 0) return result;
 
 	return (walk ? result : NULL);
 }
@@ -403,11 +401,6 @@
 		  else return bbh_find_item(host, item);
 		  break;
 
-	  case BBH_BANKSIZE:
-		  if (host->banksize == 0) return NULL;
-		  sprintf(inttxt, "%d", host->banksize);
-		  return inttxt;
-
 	  case BBH_HOSTNAME: 
 		  return host->bbhostname;
 
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/loadhosts.h ./lib/loadhosts.h
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/loadhosts.h	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/loadhosts.h	2006-10-03 13:52:28.000000000 +0200
@@ -53,7 +53,6 @@
 	BBH_LDAPLOGIN,
 	BBH_IP,
 	BBH_HOSTNAME,
-	BBH_BANKSIZE,
 	BBH_DOCURL,
 	BBH_NOPROP,
 	BBH_PAGEINDEX,
@@ -80,7 +79,6 @@
 	char *bbhostname;	/* Name for item 2 of bb-hosts */
 	char *logname;		/* Name of the host directory in BBHISTLOGS (underscores replaces dots). */
 	int preference;		/* For host with multiple entries, mark if we have the preferred one */
-	int banksize;		/* For modem-bank entries only */
 	pagelist_t *page;	/* Host location in the page/subpage/subparent tree */
 	void *data;		/* Misc. data supplied by the user of this library function */
 	struct namelist_t *defaulthost;	/* Points to the latest ".default." host */
diff -urN /home/henrik/hobbit/release/hobbit-4.2.0/lib/loadhosts_file.c ./lib/loadhosts_file.c
--- /home/henrik/hobbit/release/hobbit-4.2.0/lib/loadhosts_file.c	2006-08-09 22:10:16.000000000 +0200
+++ ./lib/loadhosts_file.c	2006-10-03 13:52:28.000000000 +0200
@@ -49,7 +49,7 @@
 {
 	static void *bbhfiles = NULL;
 	FILE *bbhosts;
-	int ip1, ip2, ip3, ip4, banksize, groupid, pageidx;
+	int ip1, ip2, ip3, ip4, groupid, pageidx;
 	char hostname[4096];
 	strbuffer_t *inbuf;
 	pagelist_t *curtoppage, *curpage, *pgtail;
@@ -285,30 +285,6 @@
 			MEMUNDEFINE(clientname);
 			MEMUNDEFINE(downtime);
 		}
-		else if (sscanf(STRBUF(inbuf), "dialup %s %d.%d.%d.%d %d", hostname, &ip1, &ip2, &ip3, &ip4, &banksize) == 6) {
-			char groupidstr[10];
-			namelist_t *newitem = calloc(1, sizeof(namelist_t));
-
-			sprintf(newitem->ip, "%d.%d.%d.%d", ip1, ip2, ip3, ip4);
-			sprintf(groupidstr, "%d", groupid);
-			newitem->bbhostname = (char *)malloc(strlen("@dialup.") + strlen(hostname) + 1);
-			sprintf(newitem->bbhostname, "@dialup.%s", hostname);
-			newitem->clientname = newitem->bbhostname;
-			newitem->page = curpage;
-			newitem->elems = (char **)malloc(sizeof(char *));
-			newitem->elems[0] = NULL;
-			newitem->banksize = banksize;
-			newitem->groupid = strdup(groupidstr);
-			newitem->pageindex = pageidx++;
-			newitem->next = NULL;
-
-			if (namehead == NULL) 
-				namehead = nametail = newitem;
-			else {
-				nametail->next = newitem;
-				nametail = newitem;
-			}
-		}
 	}
 	stackfclose(bbhosts);
 	freestrbuffer(inbuf);
